libterm-shell-perl_0.06-1_all.deb


Advertisement

Description

libterm-shell-perl - Perl module for writing shell-like interfaces

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libterm-shell-perl
Package version: 0.06
Package release: 1
Package architecture: all
Package type: deb
Installed size: 110 B
Download size: 31.33 KB
Official Mirror: ftp.br.debian.org
Term::Shell makes it joyfully easy to write command-line interfaces in Perl. All the boring details like command-line parsing and terminal handling are done for you.

Alternatives

Requires

    Download

    Source package: libterm-shell-perl

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libterm-shell-perl deb package:
      # sudo apt-get install libterm-shell-perl

    Files

    • /usr/share/doc/libterm-shell-perl/changelog.Debian.gz
    • /usr/share/doc/libterm-shell-perl/changelog.gz
    • /usr/share/doc/libterm-shell-perl/copyright
    • /usr/share/doc/libterm-shell-perl/examples/old-test.pl
    • /usr/share/doc/libterm-shell-perl/examples/psh.pl.gz
    • /usr/share/man/man3/Term::Shell.3pm.gz
    • /usr/share/perl5/Term/Shell.pm
    • /usr/share/perl5/Term/Shell.pod

    Changelog

    2014-05-16 - gregor herrmann <gregoa@debian.org> libterm-shell-perl (0.06-1) unstable; urgency=medium * Team upload. * New upstream release. * Strip trailing slash from metacpan URLs. * Update years of packaging copyright and Upstream-Contact.

    2014-02-16 - Salvatore Bonaccorso <carnil@debian.org> libterm-shell-perl (0.05-1) unstable; urgency=medium * Team upload. * Imported Upstream version 0.05 * Declare compliance with Debian Policy 3.9.5

    2013-09-19 - Florian Schlichting <fsfs@debian.org> libterm-shell-perl (0.04-1) unstable; urgency=low [ Salvatore Bonaccorso ] * Change Vcs-Git to canonical URI (git://anonscm.debian.org) * Change search.cpan.org based URIs to metacpan.org based URIs [ Axel Beckert ] * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg- copyright" [ Florian Schlichting ] * Imported Upstream version 0.04 * Ship all provided example scripts * Bump Standards-Version to 3.9.4 (no change) * Add myself to uploaders and copyright

    2011-09-18 - Ansgar Burchardt <ansgar@debian.org> libterm-shell-perl (0.02-3) unstable; urgency=low [ gregor herrmann ] * Add watch file * debian/control: Added Homepage field (source stanza). * debian/control: Added: ${misc:Depends} to Depends: field. [ Salvatore Bonaccorso ] * debian/control: Changed: Replace versioned (build-)dependency on perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as permitted by Debian Policy 3.8.3). [ Ansgar Burchardt ] * Remove Peter Makholm <makholm@debian.org> from Uploaders. (Closes: #580318) * debian/control: Convert Vcs-* fields to Git. * Use source format 3.0 (quilt). * Use tiny debian/rules with debhelper 8 (instead of cdbs). * Convert debian/copyright to proposed machine-readable format. * Add myself to Uploaders. * Bumped Standards-Version to 3.9.2.

    2007-10-09 - Peter Makholm <peter@makholm.net> libterm-shell-perl (0.02-2) unstable; urgency=low * New maintainer: Debian Perl Group * minor packaging clean ups, linda and lintian clean

    2007-08-31 - Peter Makholm <peter@makholm.net> libterm-shell-perl (0.02-1) unstable; urgency=low * New upstream (Closes: #433830) Fixes CPAN bug #2463 (Closes: #438389) * build with cdbs

    2004-02-29 - Peter Makholm <peter@makholm.net> libterm-shell-perl (0.01-3) unstable; urgency=low * Acknowleding NMU, thanks to Aurelien Jarno for making it. (Closes: #157508, #157655) for real. * Rewrote short description (Closes: #135313)

    2002-11-22 - Aurelien Jarno <aurel32@debian.org> libterm-shell-perl (0.01-2.1) unstable; urgency=low * Non-Maintainer Upload (BSP 2002-11). * Now Build the .deb in binary-indep target (closes: bug#157508). * Updated copyright file (closes: bug#157655).

    2002-02-11 - Peter Makholm <peter@makholm.net> libterm-shell-perl (0.01-2) unstable; urgency=low * Talk about brown paper bag-releases... * Actually install the module into the package

    2002-02-10 - Peter Makholm <peter@makholm.net> libterm-shell-perl (0.01-1) unstable; urgency=low * Initial Release. (Closes: #132871)

    Advertisement
    Advertisement